Subject: Re: FVWM: "Problem" Swallow:ing XCosnole in FvwmButtons

From: Michelle Konzack <[email-masked]>
Date: Sat, 05 Jul 2003 08:03:17 +0200

Am 20:07 2003-06-30 +0200 hat Johan Svedberg geschrieben:
>
>* Jun 30 19:24 Mikhael Goikhman <[email-masked]>:
>
>[...]
>
>> Do:
>>
>>   *FvwmButtons: (1x1-0+0, Padding 0 0, Swallow "XConsole" 'Exec
killall xconsole; xconsole -bg black -fg white -fn 5x7 -file
/dev/console -verbose')
>>
>> If your system has no killall, replace it with kill/pidof or whatever
>> else your system has.
>>
>> Or alternativelly use (Swallow "XConsole" RestartConsole) with:
>>
>>   AddToFunc RestartConsole
>>   + I All (XConsole) Close
>>   + I Exec exec xconsole -bg black -fg white -fn 5x7 -file
/dev/console -verbose
>
>Hmmm, I had to go with the alternative since root owns the initial
>process, so I don't have permission to kill it. Although when going with
>the second choice everything freezes (Wait:ing for something I guess)
>for about ~30sec before I get control back. Is there anything I can do
>about this other than pressing Ctrl-Alt-Esc?

Hello, 

it is a little bit wired !!!

I have tried all to versions and it works... 

I use wdm on one of my Workstations and I start uprecords in a xterm 
under the WDM Login Dialog... ;-)) 

It is spanned by the WDM startup-script where I set the DPMS and CAM. 

The process of xterm/uprecords is owned ba root, but if I log in, 
I can kill it while moving the mouse over it and press <Ctrl>C or with 
the two scripts above... 

It is MY DESK and not root's !!!

So I do what I want ;-))

Michelle

--
Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].